import 'package:flustars/flustars.dart';
import 'package:flutter/material.dart';
import 'package:tplib/utils/image_utils.dart';
import 'package:tplib/utils/res_utils.dart';
import 'package:tplib/utils/url_utils.dart';
import 'package:tplib/widgets/simple_button.dart';
import 'pgy_update_urils.dart';

/**
 * author：lx
 * date：2021-10-12
 * descr：新版本提示界面，点击跳转到外部浏览器
 */
class UpdatePointWidget extends StatefulWidget {
  UpdatePointWidget();
  @override
  _UpdatePointWidgetState createState() => _UpdatePointWidgetState();
}

class _UpdatePointWidgetState extends State<UpdatePointWidget> {
  String checkVersionUrl='';

  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    WidgetsBinding.instance!.addPostFrameCallback((timeStamp) {
      checkUpdate();
    });
  }

  @override
  Widget build(BuildContext context) {
    return (!(checkVersionUrl??'').isNotEmpty)?Container(width: PxUtils.px_0,):
    SimpleButton(
      onPressed: ()=>_toUpdate(checkVersionUrl),
      child: Container(
        width: PxUtils.screenWidth,
        decoration: BoxDecoration(
            color: ColorUtils.color_white,
          borderRadius: BorderRadius.circular(PxUtils.px_5)
        ),
        padding: EdgeInsets.only(
          left: PxUtils.px_12,
          right: PxUtils.px_12,
          top: PxUtils.px_8,
          bottom: PxUtils.px_8,
        ),
        child: Row(
          children: [
            // ImageUtils.loadAssetImage(
            //     DrawableUtils.icon_notice,
            //     width: PxUtils.px_24,
            // ),
            Icon(
                Icons.error_outline,
              size: PxUtils.px_24,
              color: ColorUtils.color_red,
            ),
            SizedBox(width: PxUtils.px_15,),
            Expanded(child: Text(
              '${StringUtils.updatepoint}',
              style: TextStyle(
                  color: ColorUtils.color_d81e06,
                fontWeight: FontWeight.w600
              ),
            )),
            SizedBox(width: PxUtils.px_15,),
            // ImageUtils.loadAssetImage(
            //     DrawableUtils.icon_arrow_right_black,
            //     width: PxUtils.px_7
            // ),
            Icon(
              Icons.arrow_forward_ios_rounded,
              size: PxUtils.px_7,
            )

          ],
        ),
      ),
    );
  }
  //检测是否有更新
  checkUpdate() async{
    checkVersionUrl = await PgyUpdateUtils.checkVersion(isFromMain: true);
    LogUtil.e("checkUpdate-->checkVersionUrl=$checkVersionUrl");
    setState(() {});
  }
  //跳转到外部浏览器打开
  _toUpdate(String checkVersionUrl) {
    UrlUtils.toOuterUrl(checkVersionUrl);
  }
}
